ilch Forum » Ilch CMS 2.x » Installation und Upgrades » Installation schlug fehl

Geschlossen
  1. #1
    User Pic
    xXschippi88Xx Mitglied
    Registriert seit
    14.12.2013
    Beiträge
    176
    Beitragswertungen
    2 Beitragspunkte
    Guten Morgen,



    war mir der Meinung gewesen, ich hätte wegen Ilch 2.0 schon mal nen Thread eröffnet, konnte diesen aber nicht finden^^.

    Habe mir den gesamten Inhalt um 06:00Uhr von GitHub gezogen, eine DB angelegt und wollte dies dann einrichten.
    Bis zu diesem Punkt, siehe Screenshot bin ich gekommen.




    Danach spuckte mir der Browser ( aktuell Chrome in neuster Version ) folgende Fehlermeldung aus:

    Notice: Undefined index: dbEngine in /mnt/webw/b0/10/54368110/htdocs/2.0/application/modules/install/controllers/Index.php on line 216 Notice: Undefined index: dbHost in /mnt/webw/b0/10/54368110/htdocs/2.0/application/modules/install/controllers/Index.php on line 217 Notice: Undefined index: dbUser in /mnt/webw/b0/10/54368110/htdocs/2.0/application/modules/install/controllers/Index.php on line 218 Notice: Undefined index: dbPassword in /mnt/webw/b0/10/54368110/htdocs/2.0/application/modules/install/controllers/Index.php on line 219 Notice: Undefined index: dbName in /mnt/webw/b0/10/54368110/htdocs/2.0/application/modules/install/controllers/Index.php on line 220 Notice: Undefined index: dbPrefix in /mnt/webw/b0/10/54368110/htdocs/2.0/application/modules/install/controllers/Index.php on line 221 An unexpected error occurred: Invalid database engine


    Aktuelle PHP-Version ist 5.6. Hab auch schon das ganze mit der 5.4 getestet, dass ganze vorher deinstalliert, DB neu angelegt und wieder aufgespielt. Ohne Erfolg.

    Wisst Ihr ggf. was die Probleme verursacht??


    Lieben Gruß


    xXschippi88Xx


    verwendete ilch Version: 2.0 (alpha)

    betroffene Homepage: ilch2.schippiswelt.de/
    Hmm... Soll ich heute trinken?
    Oder soll ich heute UND morgen trinken?
    0 Mitglieder finden den Beitrag gut.
  2. #2
    User Pic
    Mairu Coder
    Registriert seit
    16.06.2006
    Beiträge
    15.254
    Beitragswertungen
    366 Beitragspunkte
    Die Daten scheinen aus der Session nicht gelesen werden zu können, da sie in dem Schritt davor eigentlich reingeschrieben werden, könnte es sein, dass die Session bei dir nicht funktioniert.

    Also hast du die Installation denn auch direkt hintereinander ausgeführt. Man kann den Fehler natürlich auch provozieren, wenn man direkt die config Action der Installation aufruft.
    Und auch immer mal ein Blick auf die FAQ werfen. | Mairus Ilchseite
    0 Mitglieder finden den Beitrag gut.
  3. #3
    User Pic
    xXschippi88Xx Mitglied
    Registriert seit
    14.12.2013
    Beiträge
    176
    Beitragswertungen
    2 Beitragspunkte
    Hi Mairu,

    Danke für deine Antwort. Hab nun nochmal eine weitere DB erstellt, meine benötigten Daten eingetragen.

    Nun kamen folgende Fehler:


    Notice: crypt(): No salt parameter was specified. You must use a randomly generated salt and a strong hash function to produce a secure hash. in /mnt/webw/b0/10/54368110/htdocs/2.0/application/modules/user/config/config.php on line 67 Warning: Cannot modify header information - headers already sent by (output started at /mnt/webw/b0/10/54368110/htdocs/2.0/application/modules/user/config/config.php:67) in /mnt/webw/b0/10/54368110/htdocs/2.0/application/libraries/Ilch/Controller/Base.php on line 71


    Ich hab in der config.php mal nachgeschaut, da passt allerdings soweit alles.
    Was die Base.php betrifft, werd ich allerdings nicht schlau^^
    Hmm... Soll ich heute trinken?
    Oder soll ich heute UND morgen trinken?
    0 Mitglieder finden den Beitrag gut.
  4. #4
    User Pic
    xXschippi88Xx Mitglied
    Registriert seit
    14.12.2013
    Beiträge
    176
    Beitragswertungen
    2 Beitragspunkte
    Habe auch nochmal alles vom FTP entfernt, DB nochmals gelöscht. Eine neue DB angelegt, die Seite nochmals aufgerufen und die einzelnen Schritte ruhig und gesittet durchgeklickt.

    Ich komm immer nur bis zu dem Fenster, wo ich den Adminuser eintragen soll. Diesen hab ich nun mal mit einem 12 Zeichen langen Passwort versehen ( davor waren es nur 8 Zeichen ). Da ja laut der config.php an dieser Stelle das Adminpasswort betitelt wird, dachte ich erst, dies sei zu kurz. Aber auch damit kann ich keinen Erfolg erzielen.
    Hmm... Soll ich heute trinken?
    Oder soll ich heute UND morgen trinken?
    0 Mitglieder finden den Beitrag gut.
  5. #5
    User Pic
    Saarlonz Moderator
    Registriert seit
    07.08.2008
    Beiträge
    3.002
    Beitragswertungen
    235 Beitragspunkte
    Wir haben oben rechts im ecken einen ändern Button, den darf man ruhig verwenden zwinker
    0 Mitglieder finden den Beitrag gut.
  6. #6
    User Pic
    corian Entwickler
    Registriert seit
    16.06.2011
    Beiträge
    846
    Beitragswertungen
    76 Beitragspunkte
    Hey, aktuell arbeiten wir noch an dem fehler von crypt, daher mein vorschlag.

    PHP auf 5.4 stellen, alles noch mal löschen, neu hochladen und nochmals installieren.

    Mfg corian
    0 Mitglieder finden den Beitrag gut.
  7. #7
    User Pic
    xXschippi88Xx Mitglied
    Registriert seit
    14.12.2013
    Beiträge
    176
    Beitragswertungen
    2 Beitragspunkte
    Mh ok.
    Hab grad mal nachgeschaut bei meinem Anbieter ( Strato ).
    Da wäre lediglich die 5.3, die 5.5 und die 5.6 zur Auswahl von der PHP-Version.

    Leider kann man dies nicht für jede Datenbank einzeln festlegen, sodass meine gesamten Datenbanken, wenn ich die Version ändere, sich automatisch mit ändern.


    Gebe es hierbei bei den vorhandenen Seiten Probleme ( sind aktuell ebenfalls PHP Version 5.6 und alle von Ilch ) ??
    Hmm... Soll ich heute trinken?
    Oder soll ich heute UND morgen trinken?
    0 Mitglieder finden den Beitrag gut.
  8. #8
    User Pic
    corian Entwickler
    Registriert seit
    16.06.2011
    Beiträge
    846
    Beitragswertungen
    76 Beitragspunkte
    Dann lass die PHP version so stehen und öffne mal die index.php im root verzeichniss.

    Dort änderst du in Zeile 12
    error_reporting(E_ALL);

    zu
    error_reporting(E_ALL & ~E_NOTICE);
    0 Mitglieder finden den Beitrag gut.
  9. #9
    User Pic
    xXschippi88Xx Mitglied
    Registriert seit
    14.12.2013
    Beiträge
    176
    Beitragswertungen
    2 Beitragspunkte
    Perfekt corian lachen lachen
    Nun funktioniert die Seite zwinker

    Besten Dank zwinker
    Hmm... Soll ich heute trinken?
    Oder soll ich heute UND morgen trinken?
    0 Mitglieder finden den Beitrag gut.
  10. #10
    User Pic
    corian Entwickler
    Registriert seit
    16.06.2011
    Beiträge
    846
    Beitragswertungen
    76 Beitragspunkte
    Np, jetzt solltest du die Änderung auch wieder zurück nehmen können
    0 Mitglieder finden den Beitrag gut.
  11. #11
    User Pic
    Mairu Coder
    Registriert seit
    16.06.2006
    Beiträge
    15.254
    Beitragswertungen
    366 Beitragspunkte
    Wie wäre es auf de2.php.net/manual/en/function.password-hash.php bzw. github.com/ircmaxell/password_compat zu wechseln, sollte auch sicherer sein.
    Und auch immer mal ein Blick auf die FAQ werfen. | Mairus Ilchseite
    0 Mitglieder finden den Beitrag gut.
  12. #12
    User Pic
    corian Entwickler
    Registriert seit
    16.06.2011
    Beiträge
    846
    Beitragswertungen
    76 Beitragspunkte
    Eigentlich liegt es ja nur am salt, ich hab momentan nur noch kein PHP 5.5 installiert. Sonst hätte ich das schon geändert, wenn du da die Zeit für hast Mairu, könntest du dich auch darum kümmern? lächeln

    Mfg corian
    0 Mitglieder finden den Beitrag gut.
  13. #13
    User Pic
    Mairu Coder
    Registriert seit
    16.06.2006
    Beiträge
    15.254
    Beitragswertungen
    366 Beitragspunkte
    Ich kann mich gerne drum kümmern, wäre allerdings dann für die password_hash Lösung, siehe auch de2.php.net/manual/en/function.crypt.php
    ZitatZitat
    password_hash() uses a strong hash, generates a strong salt, and applies proper rounds automatically. password_hash() is a simple crypt() wrapper and compatible with existing password hashes. Use of password_hash() is encouraged.
    Und auch immer mal ein Blick auf die FAQ werfen. | Mairus Ilchseite
    2 Mitglieder finden den Beitrag gut.
  14. #14
    User Pic
    corian Entwickler
    Registriert seit
    16.06.2011
    Beiträge
    846
    Beitragswertungen
    76 Beitragspunkte
    Ok Mairu, dann mach das bitte so fertig. Ticket im Redmine ist auch schon vorhanden.

    zwinker
    0 Mitglieder finden den Beitrag gut.
  15. #15
    User Pic
    blackcoder Entwickler
    Registriert seit
    22.05.2014
    Beiträge
    663
    Beitragswertungen
    85 Beitragspunkte
    Yes

    Die geplante Änderung ist auf jeden Fall sinnvoll.
    0 Mitglieder finden den Beitrag gut.
Geschlossen

Zurück zu Installation und Upgrades

Optionen: Bei einer Antwort zu diesem Thema eine eMail erhalten